Bug 128891 - Ripping is very slow with SCSI drives
Ripping is very slow with SCSI drives
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cdparanoia (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-30 17:59 EDT by Ralf Ertzinger
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-08 09:30:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Pioneer drive console output (2.56 KB, application/octet-stream)
2004-07-30 18:00 EDT, Ralf Ertzinger
no flags Details
Pioneer drive strace (3.22 KB, application/octet-stream)
2004-07-30 18:01 EDT, Ralf Ertzinger
no flags Details
Plextor drive console output (1.09 KB, application/octet-stream)
2004-07-30 18:01 EDT, Ralf Ertzinger
no flags Details
Plextor drive strace (2.34 KB, application/octet-stream)
2004-07-30 18:01 EDT, Ralf Ertzinger
no flags Details

  None (edit)
Description Ralf Ertzinger 2004-07-30 17:59:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040625

Description of problem:
Ripping with cdparanoia is very slow on my SCSI drives (much slower
than real time), and cdparanoia is spewing a lot of errors in the process.
It also claims that my SCSI drives are really ATAPI drives running
under SCSI emulation.

I will attach four files:
strace/console output for a PIONEER DVD-ROM DVD-303F (works, but is
very slow)
strace/console output for a PLEXTOR CD-ROM PX-40TS (does not work at
all, claims that no extraction method was found).

Both produce lots of lines like
"Buffer I/O error on device srx, logical block yyy"
with x being the drive number and yyy a block number in the system log.

Both drives have worked fine as extraction drives back in FC1.
Both drives are connected to an Adaptec 2940UW controller.

Version-Release number of selected component (if applicable):
cdparanoia-alpha9.8-21sgio1

How reproducible:
Always

Steps to Reproduce:
1. Try to rip from a SCSI drive
2.
3.
    

Actual Results:  Lots of errors on the console, errors in syslog,
ripping very slow

Expected Results:  Fast ripping

Additional info:
Comment 1 Ralf Ertzinger 2004-07-30 18:00:42 EDT
Created attachment 102324 [details]
Pioneer drive console output
Comment 2 Ralf Ertzinger 2004-07-30 18:01:08 EDT
Created attachment 102325 [details]
Pioneer drive strace
Comment 3 Ralf Ertzinger 2004-07-30 18:01:28 EDT
Created attachment 102326 [details]
Plextor drive console output
Comment 4 Ralf Ertzinger 2004-07-30 18:01:43 EDT
Created attachment 102327 [details]
Plextor drive strace
Comment 5 Ralf Ertzinger 2004-10-08 09:30:05 EDT
Fixed in current rawhide (kernel+cdparanoia)

Note You need to log in before you can comment on or make changes to this bug.